CGAL 6.2 - Polygon Mesh Processing: Deprecated Functions

CGAL 6.2 - Polygon Mesh Processing

Loading...
Searching...
No Matches
Functions
Deprecated Functions
Reference Manual

##

## Functions
template<typename PolygonMesh , typename FaceRange , typename HalfedgeOutputIterator , typename NamedParameters = parameters::Default_named_parameters>
HalfedgeOutputIterator | CGAL::Polygon_mesh_processing::border_halfedges (const FaceRange &face_range, const PolygonMesh &pmesh, HalfedgeOutputIterator out, const NamedParameters &np=parameters::default_values())
| collects the border halfedges of a surface patch defined as a face range.
template<typename PolygonMesh , typename OutputIterator >
OutputIterator | CGAL::Polygon_mesh_processing::extract_boundary_cycles (const PolygonMesh &pm, OutputIterator out)

## Function Documentation

## ◆ border_halfedges()

template<typename PolygonMesh , typename FaceRange , typename HalfedgeOutputIterator , typename NamedParameters = parameters::Default_named_parameters>

HalfedgeOutputIterator CGAL::Polygon_mesh_processing::border_halfedges | ( | const FaceRange & | face_range,
|  | const PolygonMesh & | pmesh,
|  | HalfedgeOutputIterator | out,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/Polygon_mesh_processing/border.h>`

collects the border halfedges of a surface patch defined as a face range.

Deprecated:
  This function is deprecated since CGAL 6.2. Users should use instead `CGAL::border_halfedges()`.

For each returned halfedge `h`, `opposite(h, pmesh)` belongs to a face of the patch, but `face(h, pmesh)` does not belong to the patch.

Template Parameters

  PolygonMesh | model of `HalfedgeGraph`
  FaceRange | a model of `Range` with value type `boost::graph_traits<PolygonMesh>::face_descriptor`.
  HalfedgeOutputIterator | model of `OutputIterator` holding `boost::graph_traits<PolygonMesh>::halfedge_descriptor` for patch border
  NamedParameters | a sequence of Named Parameters

Parameters

  pmesh | the polygon mesh to which the faces in `face_range` belong
  face_range | the range of faces defining the patch whose border halfedges are collected
  out | the output iterator that collects the border halfedges of the patch, seen from outside.
  np | an optional sequence of Named Parameters among the ones listed below

Optional Named Parameters

  a property map associating to each face of `pmesh` a unique index between `0` and `num_faces(pmesh) - 1` Type: a class model of `ReadablePropertyMap` with `boost::graph_traits<PolygonMesh>::face_descriptor` as key type and `std::size_t` as value type Default: an automatically indexed internal map |

Returns
  `out`

See also
  `extract_boundary_cycles()`

## ◆ extract_boundary_cycles()

template<typename PolygonMesh , typename OutputIterator >

OutputIterator CGAL::Polygon_mesh_processing::extract_boundary_cycles | ( | const PolygonMesh & | pm,
|  | OutputIterator | out
| ) |  |

`#include <CGAL/Polygon_mesh_processing/border.h>`

Deprecated:
  This function is deprecated since CGAL 6.2. Users should use instead `CGAL::extract_boundary_cycles()`.

extracts boundary cycles as a list of halfedges, with one halfedge per border.

Template Parameters

  PolygonMesh | a model of `HalfedgeListGraph`
  OutputIterator | a model of `OutputIterator` holding objects of type `boost::graph_traits<PolygonMesh>::halfedge_descriptor`

Parameters

  pm | a polygon mesh
  out | an output iterator where the border halfedges will be put

See also
  `border_halfedges()`